.\"	$Id$
.TH VLNA 1 "4. unora 1998"
.nh
.SH NAZEV
vlna \- pridani vlnek za neslabicne predlozky v TeXu
.SH POUZITI
.B vlna
[\fIvolby\fP]
[\fIsoubory\fP]
.SH POPIS
Program
.B vlna
pridava vlnky (misto puvodnich mezer) za neslabicne predlozky
ve vstupnich souborech pro TeX, coz zabrani zlomu radku v nezadoucich mistech.
.PP
Veskere aktivity programu je mozne vypnout sekvenci \fB%~-\fP a zapnout
sekvenci \fB%~+\fP (mezi uvedenymi znaky muze byt libovolne mnozstvi mezer).
.PP
Pred predlozkou se muze nachazet libovolne mnozstvi oteviracich zavorek,
pred kterymi se musi nachazet mezera nebo zacatek radku. Pred
oteviraci svorkou muze byt take misto mezery TeXova 
\(lq\\sekvence\(rq (od verze 1.2).
Napr. za \(lq([{(V\(rq na pocatku radku bude vlnka pridana.
Stejne tak se text \(lq\\uv{V lese}\(rq promeni na
\(lq\\uv{V~lese}\(rq.
.PP
Program kontroluje konzistenci matematickych prostredi (neni-li uveden
parametr \fB\-m\fP).
Vstup do \fIdisplay\fP rezimu (\fB$$\fP) uvnitr \fItext\fP rezimu (\fB$\fP)
(napr. \fB$\fP...\fB$$\fP...\fB$\fP) znamena varovani a prechod do
\fIdisplay\fP.
Podobne prazdny radek uvnitr \fItext\fP nebo \fIdisplay\fP rezimu znamena
vypis varovani a prechod do nematematickeho (standardniho) rezimu.
Uvnitr rezimu \fIdisplay\fP se ignoruji vyskyty samostatneho znaku \fB$\fP,
jelikoz byva vetsinou soucasti konstrukce \fB\\hbox\fP.
.PP
Program kontroluje konzistenci verbatim rezimu na konci souboru.
Nebyl-li ukoncen, vypise se varovani.
Kontrola se neprovadi, pokud je pouzita volba \fB\-n\fP nebo \fB\-w\fP.
.PP
Program nedoplnuje vlnky za samostatna pismena, ktera jako predlozky vypadaji,
ale nasleduji bezprostredne za sekvencemi \fB\\TeX\fP nebo \fB\\LaTeX\fP.
Napr. do textu \(lq\fBVlastnosti \\TeX u jsou\fP\(rq nebude zadna vlnka
doplnena.
.SH VOLBY
Volby jsou nepovinne a mohou byt uvedeny v libovolnem poradi, ale nemohou
byt spojovany.
.TP
.B \-f
Filtr. Jmena souboru jsou interpretovana takto:
.RS
.TP 4
.B vlna \-f \fIsoubor1 soubor2\fP
Vstup je \fIsoubor1\fP, vystup \fIsoubor2\fP.
.TP 4
.B vlna \-f \fIsoubor1\fP
Vstup je \fIsoubor1\fP, vystup \fIstdout\fP.
.TP 4
.B vlna \-f
Vstup je \fIstdin\fP, vystup \fIstdout\fP.
.TP 4
\fBvlna\fP \fIsoubor1\fP [\fIsoubor2\fP [\fIsoubor3\fP ...]]
Neni-li uveden parametr \fB\-f\fP, kazdy soubor je zpracovavan samostatne.
.RE
.TP
.B \-s
Tichy rezim. Program potlaci vypis uvodni zpravy, varovnych zprav a
statistik o zmenach v souborech
(bez uvedeni parametru jsou zpravy vypisovany na \fIstderr\fP).
V tichem rezimu se vypise jen chyba, ktera predcasne ukonci
cinnost programu.
.TP
.B \-r
Nevytvaret (mazat) zalohy.
Parametr \fB\-r\fP nema vliv, pokud je uveden spolu s \fB\-f\fP.
V opacnem pripade se ke kazdemu souboru vytvari zaloha s vlnkou na konci jmena
a parametr \fB\-r\fP zpusobi, ze na konci zpracovani jsou tyto zalohy mazany.
.TP
.B \-v \fIznaky\fP
Znaky povazovane za neslabicne predlozky, za ktere ma byt pridavana
vlnka. Implicitni hodnota je \fB\-v\ KkSsVvZzOoUuAI\fP. (Mezi
\fB\-v\fP a skupinou znaku musi byt mezera.)
.TP
.B \-x \fIkod\fP
vymezuje string (kod je hexadecimalni zapis stringu), 
ktery bude vkladan misto implicitni vlnky na vyhledana mista.
Priklad \fB\-x C2A0\fP vymezuje dvouznakovy string: misto kazde vlnky budou
vlozeny dva byty, prvni s kodem C2 a druhy s kodem A0. Podle unicodove tabulky 
tento priklad tedy zpusobi nahrazovani znakem NO-BREAK SPACE pri kodovani UTF8.
Jine priklady: \fB\-x 00A0\fP nahrazovani znakem NO-BREAK SPACE pri 
kodovani UTF16, \fB\-x 41484F4A\fP nahrazovani textem AHOJ.
Mezi \fB\-x\fP a kodem musi byt mezera. 
.TP
.B \-m
Ignorovani prechodu do matematickych prostredi
(\fB$\fP...\fB$\fP a \fB$$\fP...\fB$$\fP).
Parametr \fB\-m\fP zpusobi vlnkovani i v matematickych prostredich, ktera
se implicitne vynechavaji.
.TP
.B \-n
Ignorovani verbatim rezimu (\fB\\verb\fP\fI<znak>\fP...\fI<znak>\fP,
\fB\\begtt\fP...\fB\\endtt\fP).
Parametr \fB\-n\fP zpusobi vlnkovani i ve verbatim rezimu, ktery se
implicitne vynechava.
.TP
.B \-l
LaTeX. Pro rozpoznani matematickeho rezimu jsou pridana prostredi
\fB\\begin{display}\fP...\fB\\end{display}\fP a 
\fB\\begin{equation}\fP...\fB\\end{equation}\fP.
Pro rozpoznani verbatim rezimu je pridano LaTeXove prostredi
\fB\\begin{verbatim}\fP...\fB\\end{verbatim}\fP.
.TP
.B \-w
Web. Pro rozpoznani verbatim rezimu jsou pridany sekvence
\fB@<\fP, \fB@d\fP...\fB@*\fP, \fB@\fP\fImezera\fP nebo \fB@>|\fP.
Ve zdrojovem kodu se tedy nevlnkuje program, ale jen komentare.
.SH PRIKLADY
.TP
.B vlna \-m \-n \-s \-r \fIsoubor\fP
Volani priblizne odpovida volani puvodniho programu \fBvlnka\fP.
(Navic se neprovadi vlnkovani za sekvencemi \fB\\TeX\fP a \fB\\LaTeX\fP.)
.TP
.B vlna *.tex
Vlnkovani vsech souboru s priponou \fBtex\fP.
(Pouze na UNIXu.)
.TP
.B vlna \-f soubor > /dev/null
Test konzistence matematickeho a verbatim rezimu bez provedeni zmen.
(Pouze na UNIXu.)
.SH AUTOR
Petr Olsak <olsak@math.feld.cvut.cz>. Manualovou stranku a Makefile vytvoril Rulolf Cejka
